Name:		dynagen
Version:	0.11.0
Release:	%mkrel 6
Group:		Emulators
URL:		http://dyna-gen.sourceforge.net/
Source:		http://downloads.sourceforge.net/dyna-gen/dynagen-%{version}.tar.gz
# Patch for gdynagen, shipped in gdynagen tarball, merged in dynagen svn
# http://gdynagen.sourceforge.net/
Summary:	A configuration tool the dynamips Cisco router simulator
License:	GPL
BuildArch:	noarch
Recommends:	xterm
Requires:	dynamips


%description
Dynagen is a front-end for use with the  Dynamips Cisco router emulator. It
uses an INI-like configuration file to provision Dynamips emulator networks. It
takes care of specifying the right port adapters, generating and matching up
those pesky NIO descriptors, specifying bridges, frame-relay, ATM switches,
etc. It also provides a management CLI for listing devices, suspending and
reloading instances, determining and managing idle-pc values, etc.

%prep
%setup -q
for file in `find . -type f`
do perl -pi -e 'BEGIN {exit unless -T $ARGV[0];}s/\r\n$/\n/;' $file
done

%build

%install
mkdir -p %{buildroot}/{%{_datadir}/%{name},%{_sysconfdir},%{_bindir},%{python_sitelib}}
install configspec *.py *.sh %{buildroot}/%{_datadir}/%{name}
install dynamips_lib.py %{buildroot}/%{python_sitelib}
install -m755 dynagen %{buildroot}/%{_datadir}/%{name}
install %{name}.ini %{buildroot}/%{_sysconfdir}
ln -s %{_datadir}/%{name}/%{name} %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.ini
%{_datadir}/%{name}
%{python_sitelib}/dynamips_lib.py*
%doc docs sample_labs README.txt dynagen.ini


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.11.0-6.mga5
+ Revision: 746366
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.0-5.mga5.nonfree
+ Revision: 678898
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Oct 31 2013 tmb <tmb> 0.11.0-4.mga4.nonfree
+ Revision: 548554
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.11.0-3.mga3.nonfree
+ Revision: 349203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0.11.0-2.mga3.nonfree
+ Revision: 324438
- remove dynamips from suggestions

* Sat Dec 01 2012 kamil <kamil> 0.11.0-2.mga3
+ Revision: 324423
- add missing Requirement: dynamips
- tiny fixes and clean-ups of .spec

* Sat May 07 2011 dmorgan <dmorgan> 0.11.0-1.mga1
+ Revision: 95905
- imported package dynagen


* Sat Jan 31 2009 Buchan Milne <bgmilne@mandriva.org> 0.11.0-1mdv2009.1
+ Revision: 335804
- New version 0.11.0
-suggest xterm and dynamips (neither are required for use, but in many cases
 would be useful to have)

* Fri Jul 18 2008 Buchan Milne <bgmilne@mandriva.org> 0.10.1-1mdv2009.0
+ Revision: 238174
- update to new version 0.10.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.9.3-1mdv2008.0
+ Revision: 68199
- New version 0.9.3

* Mon Jun 04 2007 Buchan Milne <bgmilne@mandriva.org> 0.9.2-1mdv2008.0
+ Revision: 35017
- New version 0.9.2


* Sun Mar 11 2007 Buchan Milne <bgmilne@mandriva.org> 0.9.0-1mdv2007.1
+ Revision: 141268
- New version 0.9.0
- Import dynagen

* Wed Jan 10 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.3-1mdv
- 0.8.3

* Sat Jan 06 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.2-1mdv
- initial package

